osl::rating::SendOff Class Reference

`#include <feature.h>`

Inheritance diagram for osl::rating::SendOff:

## Public Member Functions

| SendOff (bool c)
bool | match (const NumEffectState &, Move move, const RatingEnv &env) const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
virtual bool | effectiveInCheck () const
const std::string & | name () const

## Private Attributes

bool | capture

## Detailed Description

Definition at line 74 of file rating/feature.h.

## Constructor & Destructor Documentation

## SendOff()

osl::rating::SendOff::SendOff | ( | bool | c | ) |

inline

Definition at line 78 of file rating/feature.h.

References capture, and osl::rating::Feature::Feature().

## Member Function Documentation

## match()

bool osl::rating::SendOff::match | ( | const NumEffectState & | ,
|  | Move | move,
|  | const RatingEnv & | env ) const

inline virtual

Implements osl::rating::Feature.

Definition at line 79 of file rating/feature.h.

References capture, osl::Move::capturePtype(), osl::container::Square8::isMember(), osl::PTYPE_EMPTY, osl::rating::RatingEnv::sendoffs, and osl::Move::to().

## Member Data Documentation

## capture

bool osl::rating::SendOff::capture

private

Definition at line 76 of file rating/feature.h.

Referenced by match(), and SendOff().

The documentation for this class was generated from the following file:

- rating/feature.h